%global rbname rpm
%global md5_src0 9fcc7e56143310752cea1de7eaf2fc9b
%global momorel 3

Summary: An interface to access RPM database for Ruby.
Name: ruby-%{rbname}
Version: 1.2.3
Release: %{momorel}m%{?dist}
Group: Development/Libraries
License: GPL
URL: http://rubyforge.org/projects/ruby-rpm/
%NoSource 0 http://rubyforge.org/frs/download.php/20469/ruby-rpm-%{version}.tgz %{md5_src0}
Patch1: ruby-rpm-1.2.0-doc.patch
# Patch2: ruby-rpm-lib64.patch
Patch3: ruby-rpm-1.2.0-ia64.patch
Patch4: ruby-rpm-1.2.0-extconf-db45.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby >= 1.8.6-4m
BuildRequires: ruby-devel >= 1.8.6-4m
BuildRequires: rpm-devel >= 4.4.2-1m
BuildRequires: popt >= 1.9.1-1m
BuildRequires: db4-devel >= 4.3
Requires: db4 >= 4.3

Conflicts: mph-get <= 0.92.6.1
Obsoletes: ruby-rpm-devel

%description
Ruby/RPM is an interface to access RPM database for Ruby.

%prep
%setup -q
%patch1 -p1
# %if %{_lib} == "lib64"
# %patch2 -p1
# %endif
%ifarch ia64
%patch3 -p1
%endif
%patch4 -p1


%build
ruby install.rb config \
    --bin-dir=%{_bindir} \
    --rb-dir=%{ruby_sitelibdir} \
    --so-dir=%{ruby_sitearchdir} \
    --data-dir=%{_datadir}

ruby install.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby install.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_sitelibdir} \
    --so-dir=%{buildroot}%{ruby_sitearchdir} \
    --data-dir=%{buildroot}%{_datadir}
ruby install.rb install

%__install -m 0644 ext/rpm/ruby-rpm.h %{buildroot}%{ruby_sitearchdir}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog doc
%{ruby_sitelibdir}/rpm.rb
%{ruby_sitearchdir}/rpmmodule.so
%{ruby_sitearchdir}/ruby-rpm.h

%changelog
* Mon Jul 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-3m)
- enable ruby-rpm-1.2.0-extconf-db45.patch

* Mon Jun 17 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.3-2m)
- rebuild against ruby-1.8.6-4m

* Sun Jun 10 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-1m)
- update 1.2.3

* Mon Mar 26 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.2-1m)
- merge from TSUPPA4RI-baranch
- update 1.2.2

* Wed Feb  7 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.1-1m)
- update 1.2.1
-- remove patches 0,1,2,3,5,6,8,9 which had been merged into upstream
- remove patch4 which seem to cause problem in the latest rpm

* Sun Nov 19 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.0-20m)
- Patch10: ruby-rpm-1.2.0-extconf-db45.patch
- build against db4-4.5.20-1m

* Fri Jul 21 2006 zunda <zunda at freeshell.org>
- (kossori)
- added BuildRequires: db4-devel instead of db4
- added Requires: db4

* Tue May 23 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.0-19m)
- rebuild against rpm-4.4

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.0-18m)
- rebuild against db4.3

* Mon Oct 17 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.0-17m)
- enable ia64.

* Sun Jan 24 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.0-16m)
- enable x86_64.

* Mon Nov  1 2004 Kazuhiro Yoshida <moriq@moriq.com>
- (1.2.0-15m)
- add a patch to fix RPM::Transaction#delete (patch6).
- add a patch to fix doc/refm.rd.ja (patch7).

* Sun Oct  3 2004 Kazuhiro Yoshida <moriq@moriq.com>
- (1.2.0-14m)
- add a patch to add RPM::Package#sprintf (patch5).

* Sat Oct  2 2004 Kazuhiro Yoshida <moriq@moriq.com>
- (1.2.0-13m)
- add a patch to fix RPM::Transaction#commit (pacth4).

* Thu Sep 23 2004 Kazuhiro Yoshida <moriq@moriq.com>
- (1.2.0-12m)
- add a patch (patch3).
- RPM::Transaction#delete (and callback function) fixed.
- RPM::Package#inspect RPM::Version#inspect added.

* Thu Sep 23 2004 Kazuhiro Yoshida <moriq@moriq.com>
- (1.2.0-11m)
- add a patch to fix SEGV problem (patch2).
- fix patch1.

* Mon Sep 13 2004 Kazuhiro Yoshida <moriq@moriq.com>
- (1.2.0-10m)
- RPM.expand RPM::Spec#expand_macros added (patch1).

* Sat Aug  7 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.0-9m)
- rebuild against rpm-4.3

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.0-8m)
- rebuild against ruby-1.8.2

* Thu Jul  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.0-7m)
- remove debug messages and merge patches

* Fri Jul  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.0-6m)
- add patch for db4.2

* Mon Jun 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.0-5m)
- rebuild against db4.2

* Fri Jun 25 2004 TAKAHASHI Tamotsu <tamo>
- (1.2.0-4m)
- apply getenv patch again. see the (1.1.12-2m) entry.

* Sat Jun  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.0-3m)
- just a little better

* Thu Jun  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.0-2m)
- just a little better

* Sun Mar 14 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.0-1m)
- for rpm 4.2.1.

* Tue Jan 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.12-2m)
- add patch to fix SEGV if TMP or TEMP or TMPDIR environment variable exists. [bug:#19]

* Sun Jan 11 2004 Kenta MURATA <muraken2@nifty.com>
- (1.1.12-1m)
- version up.

* Sat Nov 01 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.11-1m)
- version up.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.10-3m)
- merge from ruby-1_8-branch.

* Sun Aug 03 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.10-2m)
- rebuild against ruby-1.8.0.

* Sun May  4 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.10-1m)
- version up.

* Tue Mar  4 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.9-1m)
- version up.

* Sat Jan 18 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.8-1m)
- version up.

* Wed Dec 25 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.7-1m)
- version up.

* Tue Dec 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.6-1m)
- version up.

* Tue Dec 10 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.5-1m)
- version up.

* Fri Dec  6 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.4-2m)
- bug fix.

* Fri Dec  6 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.4-1m)
- version up.

* Thu Dec  5 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.3-2m)
- bug fix.

* Thu Dec  5 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.3-1m)
- version up.

* Thu Dec  5 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.2-1m)
- version up.

* Fri May 31 2002 Kenta MURATA <muraken@kondara.org>
- (1.1.1-2k)
- version up.

* Fri May 31 2002 Kenta MURATA <muraken@kondara.org>
- (1.1.0-2k)
- version up.

* Tue May  7 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.1-2k)
- version up.

* Fri May  3 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.0-2k)
- version up.

* Wed May  1 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.13-2k)
- version up.

* Mon Apr 29 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.12-2k)
- version up.

* Sun Apr 28 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.11-2k)
- version up.

* Wed Apr 24 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.10-2k)
- version up.

* Sun Apr 21 2002 Toru Hoshina <t@kondara.org>
- (0.3.9-6k)
- i586tega... copytega... 

* Sun Apr 21 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.9-4k)
- applyed patch basenames and dirindexes.

* Sun Apr 21 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.9-2k)
- version up.

* Sun Apr 21 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.8-4k)
- ukekeke.

* Fri Apr 19 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.8-2k)
- version up.
- devel merge to main.

* Fri Apr 19 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.7-2k)
- version up.
- append package devel for neomph. fufufu.

* Fri Apr 19 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.6-2k)
- version up.

* Fri Apr 19 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.5-4k)
- defattr

* Thu Apr 18 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.5-2k)
- version up.

* Thu Apr 18 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.4-2k)
- version up.

* Thu Apr 18 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.3-4k)
- apply patch to DB#each_match

* Thu Apr 18 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.3-2k)
- version up.

* Wed Apr 17 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.2-2k)
- version up.

* Wed Apr 17 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.1-6k)
- apply patch version_parse.

* Wed Apr 17 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.1-4k)
- apply patch Init_hoge.

* Wed Apr 17 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.1-2k)
- first release.
